TEMPLATE	=app

INCLUDEPATH += $(QWTDIR)/include
INCLUDEPATH += .

INCLUDEPATH += .\ui

win32:LIBS   += -L$(QWTDIR)\lib -lqwt 

unix:LIBS   +=  -L$(QWTDIR)/lib -lqwt  

macx:LIBS   +=  -L$(QWTDIR)/lib -lqwt 

HEADERS	=  default.h mainwindow.h document.h  findrecord.h \
               convert.h catalog.h newopensave.h viewcatalogimpl.h \
               tableproperty.h bottomwindow.h undo.h bufsizeimpl.h setting.h \
               transmagimpl.h doubleimpl.h subcatalog.h catalimpl.h helpwindow.h \
	         polygon.h append.h profile.h rangelimit.h editline.h listproperty.h \
               repairpro.h histogram.h histogram_item.h projectwizard.h exportuser.h


FORMS	=        preview.ui rangelimit.ui  project.ui profile.ui appendbase.ui polygon.ui managebookm.ui \
               viewcatalogbase.ui viewedBufSize.ui transformmagn.ui removedouble.ui propertylist.ui \
               findrecord.ui selection.ui mergecomp.ui repairproject.ui histogram.ui import.ui exportuser.ui

SOURCES	=  rangelimit.cpp profile.cpp append.cpp polygon.cpp default.cpp main.cpp mainwindow.cpp \               
               document.cpp findrecord.cpp convert.cpp catalog.cpp newopensave.cpp viewcatalogimpl.cpp \
               tableproperty.cpp bottomwindow.cpp undo.cpp bufsizeimpl.cpp setting.cpp subcatalog.cpp \
               transmagimpl.cpp doubleimpl.cpp doubledocdialog.cpp catalimpl.cpp subfunction.cpp \
               helpwindow.cpp editline.cpp listproperty.cpp repairpro.cpp histogram.cpp \
               histogram_item.cpp histogramdialog.cpp projectwizard.cpp exportuser.cpp

	   
RESOURCES   =  edcat.qrc

CONFIG	+= release
CONFIG      += qt  
CONFIG      += warn_on

CONFIG      += thread
LANGUAGE	= C++


  MOC_DIR = moc
  OBJECTS_DIR = obj
  RCC_DIR = .

unix {
TARGET		=  ../../bin/compicat
}

 win32 {
TARGET = ../../../bin/compicat
 }

macx{
TARGET		=  ../../bin/compicat
}
