#ifndef _EXPORT_USER_FILE_H
#define _EXPORT_USER_FILE_H
#include "ui_exportuser.h" 

class ExportUser : public QDialog, private Ui::ExportUserBase
{
	Q_OBJECT
public:
		ExportUser(QWidget* parent); 
		~ExportUser ();
		QString exportFileName;
		QList<int> fieldList;
protected:
    void closeEvent(QCloseEvent *event); 
protected slots:
	void browse();	
	void accept();
	void clear();
	void btnHelp();
    void reject();
    void checkBox();
private:
		QWidget* parent;
		int curNumber;
		QList<QLabel *> labelList;
		QList<QPixmap *> pixmapList;
		QList<QCheckBox *> checkboxList;

};












#endif

