#include <QtGui>
#include "bufsizeimpl.h" 
#include "default.h"
BufSizeBaseImpl::BufSizeBaseImpl( QWidget * parent,int id,int sizevalue)
      : QDialog(0),id(id)

{ 
    setupUi(this);
    if (id == idViewBufferCatalog())   {
    SizeBufferLabel->setText("Number of records in a segment");
    spinBoxNumber->setRange(minViewBufferCatalog(), maxViewBufferCatalog());
    spinBoxNumber->setSingleStep (stepViewBufferCatalog());
    setWindowTitle (nameViewBufferCatalog());

}
    if (id == idViewBufferError())   {
    SizeBufferLabel->setText("Maximum number of lines");
    spinBoxNumber->setRange(minViewBufferError(), maxViewBufferError());
    spinBoxNumber->setSingleStep (stepViewBufferError());
    setWindowTitle (nameViewBufferError());
}
   if (id == idMaxLinesDoublesCorrectonPage())   {
    SizeBufferLabel->setText(nameMaxLinesDoublesCorrectonPage() );
    spinBoxNumber->setRange(minMaxLinesDoublesCorrectonPage(), maxMaxLinesDoublesCorrectonPage());
    spinBoxNumber->setSingleStep (stepMaxLinesDoublesCorrectonPage());
}
   if (id == idMaxLinesErrorsCorrectonPage())   {
    SizeBufferLabel->setText("Maximum number of lines" );
    spinBoxNumber->setRange(minMaxLinesErrorsCorrectonPage(), maxMaxLinesErrorsCorrectonPage());
    spinBoxNumber->setSingleStep (stepMaxLinesErrorsCorrectonPage());
    setWindowTitle (nameMaxLinesErrorsCorrectonPage());
}
    spinBoxNumber->QSpinBox::setValue ( sizevalue );
    cancelButton->setFocus ();
    setFont( parent->font() );
    connect(okButton, SIGNAL(clicked()), this, SLOT(accept()));
    connect(cancelButton, SIGNAL(clicked()), this, SLOT(reject()));
    connect(defaultButton, SIGNAL(clicked()), this, SLOT(buttonDefault()));
}
void BufSizeBaseImpl::accept()
{ 
//QValidator * intv = spinBox->validator ();

done( Accepted ); 
}
void BufSizeBaseImpl::reject()
{


done( Rejected );    
}
void BufSizeBaseImpl::buttonDefault(){

if (id == idViewBufferCatalog())  spinBoxNumber->QSpinBox::setValue(defaultViewBufferCatalog().toInt());
if (id == idViewBufferError())  spinBoxNumber->QSpinBox::setValue(defaultViewBufferError().toInt());
if (id == idMaxLinesDoublesCorrectonPage())  spinBoxNumber->QSpinBox::
                                             setValue(defaultMaxLinesDoublesCorrectonPage().toInt());
if (id == idMaxLinesErrorsCorrectonPage())  spinBoxNumber->QSpinBox::
                                             setValue(defaultMaxLinesErrorsCorrectonPage().toInt());

}
