#ifndef _FIND_CATALOG_RECORD_IMPL_H
#define _FIND_CATALOG_RECORD_IMPL_H
#include <QDateTime>
#include "ui_findrecord.h"
class QWidget;
class CatTable;
class FindRecord : public QDialog, private Ui::FindRecordBase
{
    Q_OBJECT
public:
    FindRecord(QWidget *parent); 
void SetDatesNumbersToFinddialog(QString& timeRecordFirst,
					     QString& timeRecordLast,
			             int catalogSize);
    ~FindRecord(){};
protected:
    void closeEvent(QCloseEvent *event);
public slots:
protected slots:
    void reject();
    void timeSearch();
    void numberSearch();
    void dateChanged ( const QDateTime &);
    void valChanged ( int);
	
private:
    CatTable* parentWindow;
	int curNumber;
	QDateTime curDt;
};
#endif
