#ifndef _Polygon_DIALOG_H
#define _Polygon_DIALOG_H
#include "ui_polygon.h"
class PropertyModel;
class QItemSelectionModel;
class QCheckBox;
class PropertyDelegate;
class FDocument;
class SubCatalogImpl;
class TableMinMax : public QTableView
{
    Q_OBJECT
public:
    TableMinMax(QWidget *parent,int rows,FDocument* dc);
    ~TableMinMax(){};
     void ResizeHorizontalHeader(QHeaderView *hd);
     void ResizeRows();
     void SetPolygonValue();
     PropertyDelegate *delegate;
     PropertyModel* model;
protected:
    void contextMenuEvent(QContextMenuEvent *event);
    void SetContextMenu ( const QPoint & pos );
	void keyPressEvent(QKeyEvent *event);
public slots:
     void verticalContextMenu ( const QPoint & pos );
     void del();
     void insert();

protected slots:
 
private:
    void createActions();
    FDocument* doc;
    
    
    QItemSelectionModel* selectModel;
    QAction *deleteAct;
    QAction *insertRowAct;
};
class PolygonImpl : public QDialog, private Ui::PolygonBase
{
    Q_OBJECT
public:
    PolygonImpl(QWidget *parent,int rows,FDocument* dc);
    ~PolygonImpl(){};
    TableMinMax* table;
    QCheckBox* GetCheckBox180() {return checkBox180;}

public slots:
protected slots:
	void verticesFromFile();
    void accept();
    void reject();
    void help();
private:
SubCatalogImpl* parentWindow;
FDocument* doc;
};
#endif 
