void MainWindow::newProfile() {
if (maybeProjectSave()) {
	FDocument* defDoc = new FDocument();
	ProWizard  dialog(this,defDoc,doc,ProWizard::ProjectNew);
	SaveStatusbarMessage();
	modLabel->setText(" Project ");
	actionLabel->setText(" Action: ");
	messageLabel->setText("Create new project");
	dialog.resize(projectWizardSize);
	dialog.move(projectWizardPos);
	if (dialog.exec()) {
		ProfileImpl* projectActionPage = 
		   ((ProjectActionPage * )dialog.page (ProWizard::Project_Action))->proPage;
		if(projectActionPage->GetRadioButtonDefault()->isChecked ())
			{delete doc; doc = defDoc;}
		else delete defDoc;


		if( !loadFile(doc->GetProjectCatalogName()->GetValue()) ) { RestoreStatusbarMessage(); return;}
		Catalog cat;
		if ( !cat.CopyFile(openBinFileName,projectBinCatalogFileName) ) {  RestoreStatusbarMessage(); return;}
		prolist->SetRowList(doc,QString("unnamed"));
		setCurrentProFile("");if ( doc->isModified() ) modifiedProject = true;
        ProfileActsShowHide(true);
        if ( doc->CheckModified() ) modifiedProject = true; else modifiedProject = false;
		bottomWindow->messageTab->ensureCursorVisible ();
		modLabel->setText(" Project ");
		actionLabel->setText(" Ready ");
		messageLabel->setText("");		
	} else  {
		delete defDoc;
		RestoreStatusbarMessage();
		bottomWindow->messageTab->clear();
		
	}
	projectWizardPos   =  dialog.pos();
	projectWizardSize  =  dialog.size();
	
}

}
void MainWindow::editProfile(){
	FDocument* defDoc = new FDocument();
	ProWizard  dialog(this,defDoc,doc,ProWizard::ProjectEdit);
    dialog.resize(projectWizardSize);
    dialog.move(projectWizardPos);
           SaveStatusbarMessage();
           modLabel->setText(" Project ");
           actionLabel->setText(" Action: ");
           messageLabel->setText("Edit project");
	if (dialog.exec()) {
		ProfileImpl* projectActionPage = 
		((ProjectActionPage * )dialog.page (ProWizard::Project_Action))->proPage;
		if(projectActionPage->GetRadioButtonDefault()->isChecked ())
			{delete doc; doc = defDoc;}
		else delete defDoc;
		if( !loadFile(doc->GetProjectCatalogName()->GetValue()) ) { RestoreStatusbarMessage(); return;}
		Catalog cat;
		if ( !cat.CopyFile(openBinFileName,projectBinCatalogFileName) ) {  RestoreStatusbarMessage(); return;}
		prolist->SetRowList(doc,QString("unnamed"));
		setCurrentProFile("");if ( doc->isModified() ) modifiedProject = true;
        ProfileActsShowHide(true);
        if ( doc->CheckModified() ) modifiedProject = true; else modifiedProject = false;
		bottomWindow->messageTab->ensureCursorVisible ();
		modLabel->setText(" Project ");
		actionLabel->setText(" Ready ");
		messageLabel->setText("");		
	} else  {
		delete defDoc;
		RestoreStatusbarMessage();
		bottomWindow->messageTab->clear();
	}		   
}